﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Infragistics.Win;
using Infragistics.Win.Misc;
using System.Drawing;

namespace WindowsFormsApplication230
{
    class CF : IUIElementCreationFilter
    {
        public void AfterCreateChildElements(UIElement parent)
        {
            if (parent is GroupBoxHeaderUIElement)
            {
                ButtonUIElement button = new ButtonUIElement(parent);
                Rectangle rect = parent.RectInsideBorders;
                rect.Width = 70;
                button.Rect = rect;
                button.Rect = new Rectangle(parent.ChildElements[0].Rect.Width + parent.ChildElements[0].Rect.X, rect.Y, rect.Width, rect.Height);
                parent.ChildElements.Add(button);
                button.Text = "button";
                button.ElementClick += new UIElementEventHandler(button_ElementClick);
            }
        }
        int i = 0;
        void button_ElementClick(object sender, UIElementEventArgs e)
        {
            i++;
            Console.WriteLine("Clicked "+i.ToString()+" times already!");
        }

        public bool BeforeCreateChildElements(UIElement parent)
        {
            return false;
        }
    }
}
